https://www.docusign.com/v2.1/accounts/{accountId}/usersCloses one or more users in the account, preventing them from accessing account features. Users are not permanently deleted. The request body requires only the IDs of the users to close: ```json { "users": [ { "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163" }, { "userId": "b6c74c52-xxxx-xxxx-xxxx-457a81d88926" }, { "userId": "464f7988-xxxx-xxxx-xxxx-781ee556ab7a" } ] } ``` You can use `Users:update` to re-open a closed user.
The external account number (int) or account ID GUID.
A list of groups to remove the user from. A comma-separated list of the following: - `Groups` - `PermissionSet` - `SigningGroupsEmail`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/usersCloses one or more users in the account, preventing them from accessing account features. Users are not permanently deleted. The request body requires only the IDs of the users to close: ```json { "users": [ { "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163" }, { "userId": "b6c74c52-xxxx-xxxx-xxxx-457a81d88926" }, { "userId": "464f7988-xxxx-xxxx-xxxx-781ee556ab7a" } ] } ``` You can use `Users:update` to re-open a closed user.
The external account number (int) or account ID GUID.
A list of groups to remove the user from. A comma-separated list of the following: - `Groups` - `PermissionSet` - `SigningGroupsEmail`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}